.ka-overlay {
    position: fixed;

    left: 0;
    top: 0;

    width: 100%;
    height: 100%;

    background: rgba(14, 12, 28, 0.55);

    backdrop-filter: blur(8px);

    display: flex;

    align-items: center;

    justify-content: center;

    opacity: 0;

    visibility: hidden;

    transition: 0.35s;

    z-index: 999999;
}

.ka-overlay.show {
    opacity: 1;

    visibility: visible;
}

.ka-popup {
    width: 470px;

    background: #fff;

    border-radius: 20px;

    overflow: hidden;

    position: relative;

    padding: 45px;

    box-shadow: 0 25px 70px rgba(0, 0, 0, 0.18);

    transform: scale(0.85);

    transition: 0.35s;
}

.ka-overlay.show .ka-popup {
    transform: scale(1);
}

.ka-popup:after {
    content: "";

    position: absolute;

    left: 0;
    bottom: 0;

    height: 6px;

    width: 100%;

    background: linear-gradient(90deg, #ff007a, #673ab7);
}

.ka-close {
    position: absolute;

    right: 18px;

    top: 18px;

    border: none;

    background: none;

    font-size: 26px;

    cursor: pointer;

    color: #555;
}

.ka-icon {
    width: 110px;

    height: 110px;

    margin: auto;

    margin-bottom: 25px;

    border-radius: 100%;

    display: flex;

    align-items: center;

    justify-content: center;

    font-size: 50px;
}

.ka-title {
    font-size: 34px;

    font-weight: 700;

    text-align: center;

    margin-bottom: 10px;
}

.ka-message {
    font-size: 18px;

    line-height: 1.7;

    text-align: center;

    color: #666;

    margin-bottom: 35px;
}

.ka-buttons {
    display: flex;

    justify-content: center;

    gap: 15px;
}

.ka-icon img {
    width: 90px;

    height: 90px;

    display: block;

    margin: auto;

    animation: kaPop 0.4s ease;
}

@keyframes kaPop {
    0% {
        transform: scale(0.4);

        opacity: 0;
    }

    100% {
        transform: scale(1);

        opacity: 1;
    }
}

.ka-btn {
    border: none;

    padding: 13px 35px;

    font-size: 16px;

    font-weight: 600;

    border-radius: 10px;

    cursor: pointer;

    transition: 0.3s;
}

.ka-btn-primary {
    background: linear-gradient(90deg, #ff007a, #6b46ff);
    color: #fff;
}

.ka-btn-primary:hover {
    transform: translateY(-2px);
    box-shadow: 0 15px 35px rgba(103, 58, 183, 0.35);
}

.ka-btn-light {
    background: #fff;

    border: 2px solid #6b46ff;

    color: #6b46ff;
}

.ka-btn-light:hover {
    background: #f5f2ff;
}
